# Assembling all all-sky maps for a given latitude to a single pdf
#  The dates have been written manually, it might be nice to produce them 
#  by adapting the allsky.sh script

LC_ALL="C"

Ye=2020

mkdir latitudes

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}A
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 

for MoDa in \
01-20 \
02-18 \
03-19 \
04-18 \
05-18 \
06-17 \
07-16 \
08-14 \
09-13 \
10-12 \
11-11 \
12-10

do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
#echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
#echo ${MoNDa}*.pdf \\ >>MonDa.txt

  
    if [ -f ../../$MoNDa/A/$LA.pdf ] 
    then
    ln -s ../../$MoNDa/A/$LA.pdf  ${MoNDa}${LA}.pdf 
    fi
done
  
   pdftk \
Jan20${LA}.pdf \
Feb18${LA}.pdf \
Mar19${LA}.pdf \
Apr18${LA}.pdf \
May18${LA}.pdf \
Jun17${LA}.pdf \
Jul16${LA}.pdf \
Aug14${LA}.pdf \
Sep13${LA}.pdf \
Oct12${LA}.pdf \
Nov11${LA}.pdf \
Dec10${LA}.pdf \
     cat output ${LA}.pdf

    rm \
Jan20${LA}.pdf \
Feb18${LA}.pdf \
Mar19${LA}.pdf \
Apr18${LA}.pdf \
May18${LA}.pdf \
Jun17${LA}.pdf \
Jul16${LA}.pdf \
Aug14${LA}.pdf \
Sep13${LA}.pdf \
Oct12${LA}.pdf \
Nov11${LA}.pdf \
Dec10${LA}.pdf \
 
  cd ..

 done

cd ..
